|  | Home · All Classes · Modules

# QXmlEntityResolver Class Reference
[QtXml module]

The QXmlEntityResolver class provides an interface to resolve external entities contained in XML data. More...

Inherited by QXmlDefaultHandler.

### Methods

- __init__ (self)
- __init__ (self, QXmlEntityResolver other)
- QString errorString (self)
- (bool, QXmlInputSource ret) resolveEntity (self, QString publicId, QString systemId)

## Detailed Description

The QXmlEntityResolver class provides an interface to resolve external entities contained in XML data.

If an application needs to implement customized handling for external entities, it must implement this interface, i.e. resolveEntity(), and register it with QXmlReader.setEntityResolver().

See also QXmlDTDHandler, QXmlDeclHandler, QXmlContentHandler, QXmlErrorHandler, QXmlLexicalHandler, and Introduction to SAX2.

## Method Documentation

### QXmlEntityResolver.__init__ (self)

### QXmlEntityResolver.__init__ (self, QXmlEntityResolver other)

### QString QXmlEntityResolver.errorString (self)

This method is abstract and should be reimplemented in any sub-class.

The reader calls this function to get an error string if any of the handler functions returns false.

### (bool, QXmlInputSource ret) QXmlEntityResolver.resolveEntity (self, QString publicId, QString systemId)

This method is abstract and should be reimplemented in any sub-class.

The reader calls this function before it opens any external entity, except the top-level document entity. The application may request the reader to resolve the entity itself (ret is 0) or to use an entirely different input source (ret points to the input source).

The reader deletes the input source ret when it no longer needs it, so you should allocate it on the heap with `new`.

The argument publicId is the public identifier of the external entity, systemId is the system identifier of the external entity and ret is the return value of this function. If ret is 0 the reader should resolve the entity itself, if it is non-zero it must point to an input source which the reader uses instead.

If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.